int n = int.Parse(Console.ReadLine());

int[] a = new int[n];
int[] b = new int[n];

SortedSet<int> brojevi = new();

for (int i = 1; i <= 2*n; i++) 
{
    brojevi.Add(i);
}

for (int i = 0; i < n; i++)
{
    if (i % 2 == 0)
    {
        int f = brojevi.First();
        a[i] = f;
        brojevi.Remove(f);
    }
    else
    {
        int l = brojevi.Last();
        a[i] = l;
        brojevi.Remove(l);
    }
}

for (int i = 0; i < n; i++)
{
    if (i % 2 == 0)
    {
        int f = brojevi.First();
        b[i] = f;
        brojevi.Remove(f);
    }
    else
    {
        int l = brojevi.Last();
        b[i] = l;
        brojevi.Remove(l);
    }
}

foreach (var item in a) Console.Write(item + " ");
Console.WriteLine();
foreach (var item in b) Console.Write(item + " ");